> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Permission

> Updates the name or operations of an existing permission (role).



## OpenAPI

````yaml /openapi.yaml put /permissions/{permissionId}
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /permissions/{permissionId}:
    put:
      tags:
        - Permissions
      summary: Update Permission
      description: Updates the name or operations of an existing permission (role).
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            description: >-
              ID of the permission (also referred to as "role" in the
              dashboard).
          required: true
          description: ID of the permission (also referred to as "role" in the dashboard).
          name: permissionId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 100
                  description: New name for the permission (role).
                operations:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        enum:
                          - Registry:Addresses:Create
                          - Registry:Addresses:Delete
                          - Registry:Addresses:Read
                          - Registry:Addresses:Update
                          - Registry:ContractSchemas:Create
                          - Registry:ContractSchemas:Delete
                          - Registry:ContractSchemas:Read
                          - Auth:Logs:Read
                          - Auth:Users:Create
                          - Auth:Users:Read
                          - Auth:Users:Update
                          - Auth:Users:Activate
                          - Auth:Users:Deactivate
                          - Auth:Users:Delete
                          - Auth:ServiceAccounts:Create
                          - Auth:ServiceAccounts:Read
                          - Auth:ServiceAccounts:Update
                          - Auth:ServiceAccounts:Deactivate
                          - Auth:ServiceAccounts:Activate
                          - Auth:ServiceAccounts:Delete
                          - Auth:Pats:Create
                          - Auth:Register:Delegated
                          - Auth:Login:Delegated
                          - Auth:Recover:Delegated
                          - Agreements:Acceptance:Create
                          - Agreements:Acceptance:Read
                          - Events:Read
                          - Exchanges:Create
                          - Exchanges:Read
                          - Exchanges:Delete
                          - Exchanges:Deposits:Create
                          - Exchanges:Withdrawals:Create
                          - FeeSponsors:Create
                          - FeeSponsors:Read
                          - FeeSponsors:Update
                          - FeeSponsors:Delete
                          - FeeSponsors:Use
                          - Orgs:Read
                          - Orgs:Update
                          - Orgs:Settings:Read
                          - Orgs:Settings:Update
                          - Permissions:Archive
                          - Permissions:Create
                          - Permissions:Read
                          - Permissions:Update
                          - Permissions:Assign
                          - Permissions:Revoke
                          - Permissions:Assignments:Read
                          - Policies:Archive
                          - Policies:Create
                          - Policies:Read
                          - Policies:Update
                          - Policies:Approvals:Read
                          - Policies:Approvals:Approve
                          - Signers:ListSigners
                          - Stakes:Create
                          - Stakes:Read
                          - Stakes:Update
                          - Swaps:Create
                          - Swaps:Read
                          - Payouts:Create
                          - Payouts:Read
                          - Payouts:Write
                          - Allocations:Create
                          - Allocations:Update
                          - Allocations:Read
                          - Keys:Create
                          - Keys:Delete
                          - Keys:Read
                          - Keys:Update
                          - Keys:Reuse
                          - Keys:Delegate
                          - Keys:Import
                          - Keys:Export
                          - Keys:Derive
                          - Keys:ChildKeys:Create
                          - Keys:Signatures:Create
                          - Keys:Signatures:Read
                          - KeyStores:Read
                          - KeyStores:Fleets:Create
                          - KeyStores:Fleets:Clone
                          - KeyStores:ProofOfControl:Create
                          - KeyStores:OnchainSignatures:Create
                          - Networks:CantonValidators:Create
                          - Networks:CantonValidators:Read
                          - Networks:CantonValidators:Update
                          - Networks:CantonValidators:Delete
                          - Wallets:Create
                          - Wallets:Read
                          - Wallets:Update
                          - Wallets:Tags:Add
                          - Wallets:Tags:Delete
                          - Wallets:Transactions:Create
                          - Wallets:Transactions:Read
                          - Wallets:Transactions:Abort
                          - Wallets:Transfers:Create
                          - Wallets:Transfers:Read
                          - Wallets:Transfers:Abort
                          - Wallets:Offers:Read
                          - Wallets:Offers:Settle
                          - Vaults:Create
                          - Vaults:Read
                          - Vaults:Update
                          - Vaults:Tags:Add
                          - Vaults:Tags:Delete
                          - Webhooks:Create
                          - Webhooks:Read
                          - Webhooks:Update
                          - Webhooks:Delete
                          - Webhooks:Ping
                          - Webhooks:Events:Read
                          - Billing:Read
                          - Billing:Write
                          - Analytics:Read
                      - type: string
                        enum:
                          - Alias:Create
                          - Alias:Delete
                          - Alias:Read
                          - Alias:Update
                          - Wallets:GenerateSignature
                          - Wallets:BroadcastTransaction
                          - Auth:Action:Sign
                          - Auth:Apps:Read
                          - Auth:Apps:Create
                          - Auth:Apps:Update
                          - Auth:Creds:Create
                          - Auth:Creds:Read
                          - Auth:Creds:Update
                          - Auth:Creds:Code:Create
                          - Auth:Types:Application
                          - Auth:Types:Employee
                          - Auth:Types:EndUser
                          - Auth:Types:Pat
                          - Auth:Types:ServiceAccount
                          - Internal:Auth:Types:Staff
                          - Auth:Users:Delegate
                          - PermissionAssignments:Create
                          - PermissionAssignments:Read
                          - PermissionAssignments:Revoke
                  minItems: 1
                  description: >-
                    New list of API operations this permission grants access to.
                    See [Permissions
                    List](https://docs.dfns.co/core-concepts/roles-and-permissions#list-of-permissions)
                    for available operations.
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Permission'
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    Permission:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^pm-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: ID of the permission (also referred to as "role" in the dashboard).
          example: pm-37vj4-jkr4l-lc9945spfftkne57
        name:
          type: string
          description: Human-readable name of the permission (role).
        operations:
          type: array
          items:
            type: string
          description: >-
            List of API operations this permission grants access to. See
            [Permissions
            List](https://docs.dfns.co/core-concepts/roles-and-permissions#list-of-permissions)
            for available operations.
        status:
          type: string
          enum:
            - Active
          description: Current status of the permission.
        isImmutable:
          type: boolean
          description: Whether this permission is system-managed and cannot be modified.
        isArchived:
          type: boolean
          description: Whether this permission has been archived (soft-deleted).
        dateCreated:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). Date the permission was created.
          example: '2023-04-14T20:41:28.715Z'
        dateUpdated:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). Date the permission was last updated.
          example: '2023-04-14T20:41:28.715Z'
      required:
        - id
        - name
        - operations
        - status
        - isImmutable
        - isArchived
        - dateCreated
        - dateUpdated
      additionalProperties: false
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````